Subject: Re: [PATCH 1/1] .gitattributes: ensure t/oid-info/* has eol=lf

From: SZEDER Gábor <[email-masked]>
Date: Thu, 13 Dec 2018 14:22:54 +0100

On Thu, Dec 13, 2018 at 02:01:15PM +0100, Johannes Schindelin wrote:
> Hi Gábor,
> 
> On Wed, 12 Dec 2018, SZEDER Gábor wrote:
> 
> > On Tue, Dec 11, 2018 at 12:35:46PM -0800, Derrick Stolee via GitGitGadget wrote:
> > > From: Derrick Stolee <[email-masked]>
> > > 
> > > The new test_oid machinery in the test library requires reading
> > > some information from t/oid-info/hash-info and t/oid-info/oid.
> > > The shell logic that reads from these files is sensitive to CRLF
> > > line endings, causing a problem when the test suite is run on a
> > > Windows machine that converts LF to CRLF.
> > 
> > "What problem?" is what people will ask when they read this commit
> > message in the future.
> 
> The test script (not test case) fails with the rather terrifying message
> 
> 	error: bug in the test script: bad hash algorithm
> 
> See e.g. line 958 of the Build & Test log in the Windows phase of
> https://dev.azure.com/git-for-windows/git/_build/results?buildId=26757

Yeah, I saw that in the cover letter.  And that was my point, that I
saw this there, not in the proposed commit log message:

> > Please include the relevant details in the commit message instead of
> > the cover letter.